Bug 143395 - ElectricFence aborts
Summary: ElectricFence aborts
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: grep (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-20 11:43 UTC by Tim Waugh
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-20 03:25:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file (2.64 KB, text/plain)
2004-12-20 11:43 UTC, Tim Waugh
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:449 normal SHIPPED_LIVE Updated grep package 2005-05-19 04:00:00 UTC

Description Tim Waugh 2004-12-20 11:43:13 UTC
Description of problem:
Running grep under ElectricFence can show a zero-byte malloc.

Version-Release number of selected component (if applicable):
2.5.1-24.1

How reproducible:
100%

Steps to Reproduce:
1. Install ElectricFence
2. Save attachment as "file"
3. cat file | ef grep -v UND
  
Actual results:
ElectricFence Aborting: Allocating 0 bytes, probably a bug.
/usr/bin/ef: line 20:  9932 Illegal instruction     ( export
LD_PRELOAD=libefence.so.0.0; exec $* )

Expected results:
Doesn't abort.

Additional info:

Comment 1 Tim Waugh 2004-12-20 11:43:13 UTC
Created attachment 108886 [details]
file

Comment 2 Tim Waugh 2004-12-20 11:55:58 UTC
grep-2.5.1-24.3 does not exhibit the problem.

Comment 3 Dennis Gregorovic 2005-05-20 03:25:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-449.html



Note You need to log in before you can comment on or make changes to this bug.